AuthAuthentication

Log in with email and password

POST/auth/v1/login

Authenticates a user by email and password and issues access and refresh tokens.

Request Body

required
application/json
{
  "email": "string",
  "password": "stringst"
}
email*string
password*string

Response Body

200application/json

OK

type: object

email?string
session_id?string
status?string

"ok" | "otp_required" | "email_not_verified"

tokens?object
access_token?string
expires_in?integer
refresh_token?string
requires_action?string
token_type?string
401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

403application/json

Forbidden

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X POST "https://api.rixl.com/auth/v1/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string",
    "password": "stringst"
  }'
const body = JSON.stringify({
  "email": "string",
  "password": "stringst"
})

fetch("https://api.rixl.com/auth/v1/login", {
  method: "POST",
  headers: {
    "Content-Type": "application/json"
  },
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "https://api.rixl.com/auth/v1/login"
  body := strings.NewReader(`{
    "email": "string",
    "password": "stringst"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/auth/v1/login"
body = """{
  "email": "string",
  "password": "stringst"
}"""
response = requests.request("POST", url, data = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;

var body = BodyPublishers.ofString("""{
  "email": "string",
  "password": "stringst"
}""");
HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/auth/v1/login"))
  .header("Content-Type", "application/json")
  .POST(body)
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var body = new StringContent("""
{
  "email": "string",
  "password": "stringst"
}
""", Encoding.UTF8, "application/json");

var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/auth/v1/login", body);
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "email": "string",
  "session_id": "string",
  "status": "string",
  "tokens": {
    "access_token": "string",
    "expires_in": 0,
    "refresh_token": "string",
    "requires_action": "string",
    "token_type": "string"
  }
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Forbidden

application/json

{
  "code": 403,
  "details": "The provided ID is not valid",
  "error": "Forbidden"
}